#ifndef OCARINA_PAGE_H
#define OCARINA_PAGE_H

#include <ocarina/gtk.h>

class Page
{
	private:
		GtkWidget *table;
		void add_content(GtkWidget *);

	public:
		Page(GtkWidget *);
		~Page();

		GtkWidget *get_page();
		void add_footer(GtkWidget *);
		void remove_footer(GtkWidget *);
};

#endif /* OCARINA_PAGE_H */
